Package: org.gradle.jvm

## [Java] Interface JarBinarySpec

- org.gradle.jvm.JarBinarySpec

- All Superinterfaces:
    BinarySpec, JvmBinarySpec, Buildable

  Definition of a Jar file binary that is to be built by Gradle.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `LibraryBinaryIdentifier` | `getId()` The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` The jar file output for this binary.
    `void` | `setJarFile(File jarFile)` Sets the jar file output for this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface JvmBinarySpec` | `getClassesDir, getResourcesDir, getTargetPlatform, getTasks, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`
    `interface BinarySpec` | `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public LibraryBinaryIdentifier getId()

      The unique identifier of this JarBinarySpec.

    - #### public File getJarFile()

      The jar file output for this binary.

    - #### public void setJarFile(File jarFile)

      Sets the jar file output for this binary.